Đến nội dung


Hình ảnh
* * * - - 8 Bình chọn

Viết lisp theo yêu cầu [phần 2]


  • Chủ đề bị khóa Chủ đề bị khóa
3783 replies to this topic

#1621 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 26 August 2010 - 04:07 PM

Các đại ca cho em hỏi cái
em có cái lisp này khi dùng ấn esc thì không quay về lúc ban đầu được. Em đã đọc bài viết của bác Hoành và làm theo nhưng không ăn thua.
http://www.cadviet.c...s/3/phaohoa.rar
  • 0
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#1622 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 26 August 2010 - 04:31 PM

Chào các bạn!Mình đã dùng chức năng search của diễn đàn mà vẫn ko tìm ra, nay mình mạo muội nhờ các bạn viết dùm mình LISP đổi Global Width trong Block, chẳng là mình có rất nhiều Block nhà cửa, trong đó được vẽ bằng các Pline đã được định sẵn Global Width, bây giờ mình muốn chuyển hết tất cả các Pline trong các block đó về cùng 1 giá trị Global width, lisp thực hiện như sau:
- gọi lệnh
- chọn block (không cần quan tâm block đó là gì, trong bãn vẽ có bao nhiêu block thì chọn hết)
- nhập giá trị global width mới
- kết thúc lệnh
Thanks mọi người rất nhiều.
  • 0

#1623 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 26 August 2010 - 04:36 PM

Đơn giản mà anh :D

(defun c:shat();show hatch
(initdia)
(command "hatch")
)
Nó hay lắm đó. Nó còn dùng để hiện các hộp thoại khác nữa à. :D

Là thành viên lâu năm mình biết cách tốt nhất để cảm ơn là nhấn nút thank nhưng cái này đúng là buồn ngủ gặp chiếu manh. Làm 1 bài để cảm ơn Tuệ vậy (vốn cái này có hỏi bác Hoành 1 lần nhưng cũng ko có đáp án). Rất cảm ơn Tuệ!
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#1624 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 26 August 2010 - 07:48 PM

-Để chọn loại hatch ansi:
(setvar "hpname" "ansi")
-Trong lisp muốn hiện hộp thoại hatch thì mình cũn đang bí hiện tại mình phải viết nguyên 1 hộp thoại dùng cho việc này.



Đơn giản mà anh :D

(defun c:shat();show hatch
(initdia)
(command "hatch")
)
Nó hay lắm đó. Nó còn dùng để hiện các hộp thoại khác nữa à. :D



Là thành viên lâu năm mình biết cách tốt nhất để cảm ơn là nhấn nút thank nhưng cái này đúng là buồn ngủ gặp chiếu manh. Làm 1 bài để cảm ơn Tuệ vậy (vốn cái này có hỏi bác Hoành 1 lần nhưng cũng ko có đáp án). Rất cảm ơn Tuệ!

Vậy cho e thị phạm 2 lisp thực hiện việc trên với(mừng như vớ được vàng)^^
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#1625 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 26 August 2010 - 10:31 PM

Vậy cho e thị phạm 2 lisp thực hiện việc trên với(mừng như vớ được vàng)^^

Hề hề, cho Vàng bạn luôn. :D
Anh Duy và bạn kẽtu hãy thử Lisp này
(defun c:1(/ ov vl)
(setvar "hpname" "ansi31")
(setq vl '("clayer" "cmdecho"); Sys Var list
ov (mapcar 'getvar vl)); Get Old values
(setvar "cmdecho" 1)
(if (tblsearch "layer" "KT-Hatch")
(setvar "CLAYER" "KT-Hatch")
(command "-layer" "M" "KT-Hatch" "" ) )
(initdia)
(command "hatch")
(while (< 0 (getvar "CMDACTIVE"))
(command pause)
)
(vl-cmdf "change" "L" "" "P" "LA" "KT-Hatch" "")
(mapcar 'setvar vl ov); reset Sys Vars
(princ)
)

  • 1

#1626 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 26 August 2010 - 11:00 PM

Chào các bạn!Mình đã dùng chức năng search của diễn đàn mà vẫn ko tìm ra, nay mình mạo muội nhờ các bạn viết dùm mình LISP đổi Global Width trong Block, chẳng là mình có rất nhiều Block nhà cửa, trong đó được vẽ bằng các Pline đã được định sẵn Global Width, bây giờ mình muốn chuyển hết tất cả các Pline trong các block đó về cùng 1 giá trị Global width, lisp thực hiện như sau:
- gọi lệnh
- chọn block (không cần quan tâm block đó là gì, trong bãn vẽ có bao nhiêu block thì chọn hết)
- nhập giá trị global width mới
- kết thúc lệnh
Thanks mọi người rất nhiều.

Mấy anh giúp em với!
thanks!
  • 0

#1627 hoa35ktxd

hoa35ktxd

    biết lệnh move

  • Members
  • PipPipPip
  • 125 Bài viết
Điểm đánh giá: 38 (tàm tạm)

Đã gửi 26 August 2010 - 11:30 PM

Bạn cứ EXPLODE 1 Block ra rồi đổi Width của các chi tiết sau đó tạo lại Block với đúng các đối tượng vừa EXPLODE ra với tên của Block đúng như tên Block cũ, khi đó Cad sẽ hỏi bạn có muốn định nghĩa lại Block hay không, hãy chấp nhận.
  • 0

#1628 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 26 August 2010 - 11:30 PM

Hề hề, cho Vàng bạn luôn. :D
Anh Duy và bạn kẽtu hãy thử Lisp này

Đoạn này:
(while (< 0 (getvar "CMDACTIVE"))
(command pause)
)
Là tác dụng gì vậy Tuệ, giải thích cho mình với!
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#1629 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 27 August 2010 - 05:34 AM

Đoạn này:
(while (< 0 (getvar "CMDACTIVE"))
(command pause)
)
Là tác dụng gì vậy Tuệ, giải thích cho mình với!

Anh xem lời giải thích ở đây nhé : http://www.cadviet.c...showtopic=13595
Mạn phép bạn ndtnv, Tue_NV mượn lại code của bạn để viết cho nhanh :D - giúp cho truong thanh
Truongthanh thử code này nhé :

(defun c:PWB(/ i ss ls nw)
(vl-load-com)
    (setq  i 0 ss (ssget "X" '((0 . "INSERT"))))
(setq nw (getdist "\n Cho do rong moi cua POLYLINE trong Block :"))
    (command ".UNDO" "BE")
    (repeat (sslength ss)
        (UPWB (ssname ss i) )
        (setq i (1+ i))
    )
    (command ".REGEN")
    (command ".UNDO" "E")
    (princ)
)
(defun  UPWB (blk /  e el s ob)
    (setq s (cdr (assoc 2 (entget blk))))
    (if (not (member s ls))
        (progn
            (setq ls (append ls (list s)))
            (setq e (cdr (assoc -2 (tblsearch "BLOCK" s))))
            (while e
                (setq el (entget e))
                (if (wcmatch (cdr (assoc 0 el)) "INSERT")
(UPWB e)
)
(if (vlax-property-available-p
(setq ob (vlax-ename->vla-object e))
'ConstantWidth)
(vla-put-ConstantWidth ob nw)
)
                (setq e (entnext e))
            )
        )
    )
)

  • 3

#1630 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 27 August 2010 - 07:35 AM

Hề hề, cho Vàng bạn luôn. :D
Anh Duy và bạn kẽtu hãy thử Lisp này

(defun c:1(/ ov vl)
(setvar "hpname" "ansi31")
(setq vl '("clayer" "cmdecho"); Sys Var list
ov (mapcar 'getvar vl)); Get Old values
(setvar "cmdecho" 1)
(if (tblsearch "layer" "KT-Hatch")
(setvar "CLAYER" "KT-Hatch")
(command "-layer" "M" "KT-Hatch" "" ) )
(initdia)
(command "hatch")
(while (< 0 (getvar "CMDACTIVE"))
(command pause)
)
(vl-cmdf "change" "L" "" "P" "LA" "KT-Hatch" "")
(mapcar 'setvar vl ov); reset Sys Vars
(princ)
)

Là thành viên mới,e cũng biết cách tốt nhất là ấn TKS,nhưng phải phản hồi mới thấy được hết sự vui mừng.Tks bác,code chạy ngon lắm.Thấy hpname nhận đc cả custom pat cũng vui quá ^^
Em gửi thêm 1 nguyện vọng nữa,mong các bác giúp đỡ:
- Thực hiện lệnh bắn line (hoặc pline) vào giao điểm của 2 đường line gần nhất.Ở đầu vào User kích chọn vào đường line cần bắn.
- Thực hiện lệnh bắn line (hoặc pline) vào 1 điểm gấp khúc gần nhất của các đường pline xung quanh.Ở đầu vào User kích chọn vào đường line cần bắn và có lựa chọn pick hay không cần kick vào pline.(Giống lệnh ex,hay trim,có thể chọn hoặc không chọn đường biên ý ạ.vì có thể có nhiều pl xung quanh mũi đường l,pl gốc,người dùng không phải băn khoăn xem đường nào gần nhất).
Mong các bác giúp đỡ e vấn đề 1,còn vấn đề 2 thì với bản thân e chưa cần thiết lắm,e chỉ nghĩ nên mở rộng vấn đề như thế thôi.hì ^^
Hình đã gửi
Hình đã gửi
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#1631 truongthanh

truongthanh

    biết lệnh text

  • Members
  • PipPipPipPip
  • 275 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 27 August 2010 - 09:21 AM

Bạn cứ EXPLODE 1 Block ra rồi đổi Width của các chi tiết sau đó tạo lại Block với đúng các đối tượng vừa EXPLODE ra với tên của Block đúng như tên Block cũ, khi đó Cad sẽ hỏi bạn có muốn định nghĩa lại Block hay không, hãy chấp nhận.

Dạ em cũng biết cách đó ạ!Nhưng em có rất nhiều block khác tên nhau ạ!Nếu làm như cách của bạn thì mình edit block rồi save lại còn nhanh hơn, cần gì phải EXPLODE!Vấn đề ở đây là em có rất nhiều block khác tên nhau!
Thanks TUE rất nhiều!
  • 0

#1632 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 27 August 2010 - 11:41 AM

Các đại ca cho em hỏi cái
em có cái lisp này khi dùng ấn esc thì không quay về lúc ban đầu được. Em đã đọc bài viết của bác Hoành và làm theo nhưng không ăn thua.
http://www.cadviet.c...s/3/phaohoa.rar

Các đại ca giúp em cái
  • 0
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#1633 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 27 August 2010 - 02:46 PM

Hề hề, cho Vàng bạn luôn. :D

Đại ca cho e hỏi luôn,e muốn set luôn cả biến hpscale 15 vào code trên thì làm ra răng ^^ À,cả góc xoay của hatch nữa.e muốn trước khi thực hiện lệnh hatch với các thông số cũ,máy hoỉ góc mới,hoặc tỉ lệ hatch mới thì mần răng ^^
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#1634 ksor_phong

ksor_phong

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 27 August 2010 - 03:38 PM

Cám ơn bạn, mình thử cả một buổi chiều và kết quả thế này:
Lips của bạn ndtnv: chạy tít, đổi màu rất ngon.
lips của bạn Phamthanhbinh chạy tít, chuyển layer ngon.
kết hợp cả hai lips thì đúng yêu cầu của em nhờ các bác. tuy nhiên là phải chạy lips của bạn ndtnv trước xong mới chạy lips của bạn Phamthanhbinh, làm ngược lại thì không chuyển tất về 1 layer được (lạ thế ??? )
Cám ơn các bác nhiều, các bác có giúp em cho trót thì tổng hợp cả 2 cái thành 1 giúp em, nếu không thì em túc tắc chạy cả 2 cái cũng được.
Một lần nữa tks các bác nhiều. :D
  • 0

#1635 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 27 August 2010 - 06:09 PM

Cám ơn bạn, mình thử cả một buổi chiều và kết quả thế này:
Lips của bạn ndtnv: chạy tít, đổi màu rất ngon.
lips của bạn Phamthanhbinh chạy tít, chuyển layer ngon.
kết hợp cả hai lips thì đúng yêu cầu của em nhờ các bác. tuy nhiên là phải chạy lips của bạn ndtnv trước xong mới chạy lips của bạn Phamthanhbinh, làm ngược lại thì không chuyển tất về 1 layer được (lạ thế ??? )
Cám ơn các bác nhiều, các bác có giúp em cho trót thì tổng hợp cả 2 cái thành 1 giúp em, nếu không thì em túc tắc chạy cả 2 cái cũng được.
Một lần nữa tks các bác nhiều. :D

Bạn thử cái này xem :
Lisp sẽ chuyển về Block về Layer hiện hành nhé. Đương nhiên là trong Block có Block
Thử nhé :

(defun c:CHBL(/ i ss ls nw ent curla)
(vl-load-com)
(setq curla (getvar "clayer"))
    (setq  i 0 ss (ssget '((0 . "INSERT"))))
    (command ".UNDO" "BE")
    (repeat (sslength ss)
        (UPWB (setq ent (ssname ss i)) )
        (setq i (1+ i))
(vl-cmdf "change" ent "" "P" "LA" curla "")
    )
    (command ".REGEN")
    (command ".UNDO" "E")
    (princ)
)
(defun  UPWB (blk /  e el s ob)
    (setq s (cdr (assoc 2 (entget blk))))
    (if (not (member s ls))
        (progn
            (setq ls (append ls (list s)))
            (setq e (cdr (assoc -2 (tblsearch "BLOCK" s))))
            (while e
                (setq el (entget e))
                (if (wcmatch (cdr (assoc 0 el)) "INSERT")
(UPWB e)
)
(vla-put-Layer (setq ob (vlax-ename->vla-object e)) curla)
(vla-put-Color ob 256)

                (setq e (entnext e))
            )
        )
    )
)

  • 1

#1636 ksor_phong

ksor_phong

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 28 August 2010 - 09:24 AM

Bạn thử cái này xem :
Lisp sẽ chuyển về Block về Layer hiện hành nhé. Đương nhiên là trong Block có Block
Thử nhé :


(defun c:CHBL(/ i ss ls nw ent curla)
(vl-load-com)
(setq curla (getvar "clayer"))
    (setq  i 0 ss (ssget '((0 . "INSERT"))))
    (command ".UNDO" "BE")
    (repeat (sslength ss)
        (UPWB (setq ent (ssname ss i)) )
        (setq i (1+ i))
(vl-cmdf "change" ent "" "P" "LA" curla "")
    )
    (command ".REGEN")
    (command ".UNDO" "E")
    (princ)
)
(defun  UPWB (blk /  e el s ob)
    (setq s (cdr (assoc 2 (entget blk))))
    (if (not (member s ls))
        (progn
            (setq ls (append ls (list s)))
            (setq e (cdr (assoc -2 (tblsearch "BLOCK" s))))
            (while e
                (setq el (entget e))
                (if (wcmatch (cdr (assoc 0 el)) "INSERT")
(UPWB e)
)
(vla-put-Layer (setq ob (vlax-ename->vla-object e)) curla)
(vla-put-Color ob 256)

                (setq e (entnext e))
            )
        )
    )
)

Quá tốt rồi bạn ơi, không còn gì để phàn nàn many thank
  • 0

#1637 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 28 August 2010 - 07:50 PM

Bạn thử cái này xem :
Lisp sẽ chuyển về Block về Layer hiện hành nhé. Đương nhiên là trong Block có Block
Thử nhé :

(defun c:CHBL(/ i ss ls nw ent curla)
(vl-load-com)
(setq curla (getvar "clayer"))
    (setq  i 0 ss (ssget '((0 . "INSERT"))))
    (command ".UNDO" "BE")
    (repeat (sslength ss)
        (UPWB (setq ent (ssname ss i)) )
        (setq i (1+ i))
(vl-cmdf "change" ent "" "P" "LA" curla "")
    )
    (command ".REGEN")
    (command ".UNDO" "E")
    (princ)
)
(defun  UPWB (blk /  e el s ob)
    (setq s (cdr (assoc 2 (entget blk))))
    (if (not (member s ls))
        (progn
            (setq ls (append ls (list s)))
            (setq e (cdr (assoc -2 (tblsearch "BLOCK" s))))
            (while e
                (setq el (entget e))
                (if (wcmatch (cdr (assoc 0 el)) "INSERT")
(UPWB e)
)
(vla-put-Layer (setq ob (vlax-ename->vla-object e)) curla)
(vla-put-Color ob 256)

                (setq e (entnext e))
            )
        )
    )
)

Chào bác Tuệ_NV,
Bác cho hỏi một chút nhé:
Vì sao trong đoạn lisp trên của bác, trong khi bác định nghĩa hàm UPWB bác lại vẫn sử dụng nó trong vòng lặp được bác nhỉ???( cái chỗ mình bôi đỏ trong đoạn lisp trên ấy bác ạ)
Theo mình hiểu thì bác phải định nghĩa cho xong cái hàm UPWB đã tức là phải kết thúc cái hàm (defun upwb (......) .........) rồi mới lôi nó ra dùng được chứ ạ.
Mình đọc mà vẫn chưa hiểu rõ chỗ này, mong bác giải thích giùm....
Cám ơn bác trước.
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#1638 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1431 Bài viết
Điểm đánh giá: 1425 (rất tốt)

Đã gửi 28 August 2010 - 08:04 PM

Chào bác Tuệ_NV,
Bác cho hỏi một chút nhé:
Vì sao trong đoạn lisp trên của bác, trong khi bác định nghĩa hàm UPWB bác lại vẫn sử dụng nó trong vòng lặp được bác nhỉ???( cái chỗ mình bôi đỏ trong đoạn lisp trên ấy bác ạ)
Theo mình hiểu thì bác phải định nghĩa cho xong cái hàm UPWB đã tức là phải kết thúc cái hàm (defun upwb (......) .........) rồi mới lôi nó ra dùng được chứ ạ.
Mình đọc mà vẫn chưa hiểu rõ chỗ này, mong bác giải thích giùm....
Cám ơn bác trước.

Trong lập trình kĩ thuật này gọi là "Đệ qui" bác ạ. (tiếng Anh : recursion)

Bác tham khảo trên WIKI : http://vi.wikipedia.org/wiki/đệ_qui
  • 2

#1639 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 28 August 2010 - 08:48 PM

Chào bác Tuệ_NV,
Bác cho hỏi một chút nhé:
Vì sao trong đoạn lisp trên của bác, trong khi bác định nghĩa hàm UPWB bác lại vẫn sử dụng nó trong vòng lặp được bác nhỉ???( cái chỗ mình bôi đỏ trong đoạn lisp trên ấy bác ạ)
Theo mình hiểu thì bác phải định nghĩa cho xong cái hàm UPWB đã tức là phải kết thúc cái hàm (defun upwb (......) .........) rồi mới lôi nó ra dùng được chứ ạ.
Mình đọc mà vẫn chưa hiểu rõ chỗ này, mong bác giải thích giùm....
Cám ơn bác trước.

Chào bác Bình
Chính xác như anh giaBach đã nói, kỹ thuật Đệ quy này Tue_NV đã được học từ môn Tin học đại Cương, trong đó có được học ngôn ngữ Lập trình Pascal. Và Tue_NV đã ứng dụng được các thuật toán của Pascal trong Lisp. Nó rất hay bác ạ

Nói tóm lại, hàm con UPWB sẽ phải gọi đến chính nó khi trong Block có tồn tại Block nữa bác ạ. Nó được thể hiện cụ thể sau :
(if (wcmatch (cdr (assoc 0 el)) "INSERT")
(UPWB e)
)

Nếu mà (cdr (assoc 0 el)) không phải là Block nữa thì thực thi cái công việc là thiết lập Layer và màu sắc cho nó. Còn nếu mà (cdr (assoc 0 el)) là 1 cái Block thì hàm UPWB phải gọi đến chính nó. và cứ thế..... cho đến khi ... biến e =nil

Vài dòng chia sẻ cùng bác. Chúc bác vui

@Anh Duy : Tue_NV đã Link bài viết có lời giải thích cho anh ở bài viết 1658 ở topic này? Không biết anh đã đọc chưa? và giải quyết được chưa? Sao không thấy anh Reply? Chúc anh thành công
Dạo này công việc của Tue_NV bận lắm nên ít lên diễn đàn được nên rất mong các bác thông cảm
  • 2

#1640 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 28 August 2010 - 09:33 PM

@Anh Duy : Tue_NV đã Link bài viết có lời giải thích cho anh ở bài viết 1658 ở topic này? Không biết anh đã đọc chưa? và giải quyết được chưa? Sao không thấy anh Reply? Chúc anh thành công
Dạo này công việc của Tue_NV bận lắm nên ít lên diễn đàn được nên rất mong các bác thông cảm

À mình đã nắm được đoạn này và ứng dụng để thực hiện cho lệnh pline và fillet mà trước đây bị dở dang. Đúng là có nhiều cái đã hướng dẩn nhưng vẫn ko để ý nên cứ vướng nhiều nơi. Cám ơn Tuệ. Công việc vẩn là quan trọng nhất. Diển đàn thì lúc nào rảnh mới ghé, nhưng mà pảh ứng của Tuệ vậy là nhanh rồi ko chậm đâu :D
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D